using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CloudBuilder.Core.DatabaseAccessor.Entity
{
    public abstract class ViewEntityBase : IEntity<string>
    {
        /// <summary>
        /// View没有主键
        /// </summary>
        [NotMapped]
        public string? Id { get; set; }

        public virtual string GetSelectFrom()
        {
            return null!;
        }

        public virtual string GetSelectCountFrom(string sqlWhere)
        {
            return null!;
        }

        public virtual string GetSelectTopFrom(int limit, int start, string orderby, string orderbytag, string sqlWhere)
        {
            return null!;
        }
    }
}
